@hint/configuration-progressive-web-apps

webhint's recommended hints configuration for progressive web apps (PWAs)

Stats

StarsIssuesVersionUpdatedCreatedSize
@hint/configuration-progressive-web-apps
3,2883307.0.152 months ago4 years agoMinified + gzip package size for @hint/configuration-progressive-web-apps in KB

Readme

webhint's recommended progressive web apps configuration (@hint/configuration-progressive-web-apps)

This packages is a webhint's configuration package to use for checking progressive web apps (PWAs) and it is installed automatically by webhint:

Note: The recommended way of running webhint is as a devDependency of your project.

The minimum required .hintrc file to use it is the following:

{
    "extends": ["progressive-web-apps"]
}

and it will be as if you had this:

{
    "connector": {
        "name": "puppeteer"
    },
    "formatters": [
        "html",
        "summary"
    ],
    "hints": {
        "apple-touch-icons": "error",
        "manifest-app-name": "error",
        "manifest-exists": "error",
        "manifest-file-extension": "error",
        "manifest-icons": "error",
        "manifest-is-valid": "error",
        ...
    },
    "hintsTimeout": 120000,
    "parsers": [
        "manifest"
    ],
    ...
}

If you prefer to use another formatter (or any other hint/connector, etc.) you can do something like:

{
    "extends": ["progressive-web-apps"],
    "formatters": ["codeframe"]
}

If you find any bugs or have a feature request, please open an issue on github!

The npm package download data comes from npm's download counts api and package details come from npms.io.